FreeBSD : php -- multiple vulnerabilities (31de2e13-00d2-11e5-a072-d050996490d0)

This script is Copyright (C) 2015 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing one or more security-related
updates.

Description :

PHP development team reports :

Fixed bug #69364 (PHP Multipart/form-data remote DoS Vulnerability).
(CVE-2015-4024)

Fixed bug #69418 (CVE-2006-7243 fix regressions in 5.4+).
(CVE-2015-4025)

Fixed bug #69545 (Integer overflow in ftp_genlist() resulting in heap
overflow). (CVE-2015-4022)

Fixed bug #68598 (pcntl_exec() should not allow null char).
(CVE-2015-4026)

Fixed bug #69453 (Memory Corruption in phar_parse_tarfile when entry
filename starts with null). (CVE-2015-4021)

See also :

https://php.net/ChangeLog-5.php#5.6.9
http://www.nessus.org/u?8dea24b9

Solution :

Update the affected packages.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 83792 ()

Bugtraq ID:

CVE ID: CVE-2015-4021
CVE-2015-4022
CVE-2015-4024
CVE-2015-4025
CVE-2015-4026

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now